## TeplIter TeplIter — GtkTextIter utility functions |

## Functions

gchar * | tepl_iter_get_line_indentation ()

## Includes

    #include <tepl/tepl.h>

## Description

GtkTextIter utility functions.

## Functions

### tepl_iter_get_line_indentation ()

    gchar *
    tepl_iter_get_line_indentation (const GtkTextIter *iter);

Gets the indentation, as a string, of the line at `iter` . `iter` can be anywhere in the line.

Possible use-case: to implement an action that inserts some text in a GtkTextBuffer. If the text to insert spans multiple lines, it is usually desired to keep the same indentation level.

#### Parameters

iter | a GtkTextIter. |

#### Returns

the line indentation at `iter` . Free with `g_free()`.

Since: 2.0